      subroutine derivs(t,y,dydt)
!
      use nrtype
      use coeffs
!
      implicit none
!
      real(SP), intent(in) :: t
      real(SP), dimension(:), intent(in) :: y
      real(SP), dimension(6) :: factor
      real(SP), dimension(:), intent(out) :: dydt
!
      integer(I4B) :: i,j


! Production from precursor - loss from VBS reaction
! Scale precursor by 1e6 (1e6 is the initial precursor concentration) to
! try to avoid round-off error

!if precursor integrated
      dydt(1)=-kp*y(1)
      do i=2,nspec+1
         dydt(i)=y(1)*a(i-1)*kp-k(i-1)*y(i)
      enddo

! Add production from VBS reactions
      do i=2,nspec+1
        do j=2,nspec+1
           dydt(i)=dydt(i)+b(j-1,i-1)*k(j-1)*y(j)
        end do
      end do


      end subroutine derivs
